## glib2.0 2.62.1

=== debian/changelog ===
glib2.0 (2.62.1-1) unstable; urgency=medium

  * Team upload
  * d/watch: Only watch for even-numbered (stable) releases
  * New upstream release
    - Fix regression that made G_FILE_COPY_TARGET_DEFAULT_PERMS result in
      private permissions rather than respecting umask (Closes: #505398)
    - d/p/g_file_info_get_modification_date_time-Calculate-in-integ.patch,
      d/p/Always-build-tests-if-we-enabled-installed-tests.patch:
      Drop patches that were applied upstream
  * d/p/debian/mimeapps-test-Mark-as-flaky.patch:
    Mark mimeapps test as flaky (see #941550)

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Oct 2019 09:46:24 +0100

glib2.0 (2.62.0-3) unstable; urgency=medium

  * Team upload
  * Merge packaging from 2.60.x branch previously in unstable
    - No changes since 2.62.0-2, except in d/changelog
    - d/p/debian/Disable-an-optimization-when-building-with-gcc-9.patch:
      Remove workaround for #931921, which turned out to be a clutter bug
  * d/p/Always-build-tests-if-we-enabled-installed-tests.patch:
    Add patch to fix installation of installed-tests in cross-builds
    (Closes: #941509)
  * d/p/g_file_info_get_modification_date_time-Calculate-in-integ.patch:
    Add patch to fix intermittent g-file-info test failures on i386
    (Closes: #941547)
  * libglib2.0-dev: Suggest libgirepository1.0-dev, for the GIR files
    (Closes: #914152)
  * d/gbp.conf: Use debian/master branch
  * Standards-Version: 4.4.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Oct 2019 09:13:12 +0100

glib2.0 (2.60.6-2) unstable; urgency=medium

  * Team upload
  * d/rules: Edit debcrossgen output instead of using a modified version.
    This fixes use of CFLAGS, etc. during cross-compilation.
    (Closes: #933560)
  * Remove obsolete permissions fixing.
    Issue 1539 was fixed upstream.
  * d/p/debian/Disable-an-optimization-when-building-with-gcc-9.patch:
    Disable an optimization when building with gcc-9, instead of forcing
    gcc-8. This avoids depending on an old gcc, and should be easier to
    deal with for cross-compilation. (Workaround for #931921)
  * d/p/gmessages-Only-use-structured-logs-if-GLIB_VERSION_MAX_AL.patch:
    Update to upstream glib-2-60 branch at commit 2.60.6-2-ga365528f6
    - Don't use structured logging if GLIB_VERSION_MAX_ALLOWED < 2.56

 -- Simon McVittie <smcv@debian.org>  Tue, 13 Aug 2019 10:32:40 +0100

glib2.0 (2.62.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (Closes: #940161)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 12:33:16 +0200

glib2.0 (2.62.0-1) experimental; urgency=medium

  * New upstream release
    + Fix new `GFileInfo` APIs to work when
      `G_FILE_ATTRIBUTE_TIME_MODIFIED_USEC` was not queried

 -- Iain Lane <laney@debian.org>  Mon, 09 Sep 2019 15:41:48 +0100

glib2.0 (2.61.3-1) experimental; urgency=medium

  * New upstream release
  * d/p: Drop cherry-picks from upstream branch which we now have
  * d/p/d/Disable-an-optimization-when-building-with-gcc-9.patch: Drop,
    clutter has been fixed now (thanks Simon)
  * d/p/*: Refresh via gbp-pq as necessary

 -- Iain Lane <laney@debian.org>  Wed, 04 Sep 2019 17:29:23 +0100

glib2.0 (2.61.2-2) experimental; urgency=medium

  * Team upload
  * d/p/cond-test-Don-t-make-assumptions-about-struct-sigaction-m.patch:
    Add proposed patch to fix FTBFS due to a test failure on mips*

 -- Simon McVittie <smcv@debian.org>  Tue, 13 Aug 2019 10:29:29 +0100

glib2.0 (2.61.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/patches: Update to upstream git master, commit 2.61.2-23-g870b30bd7
    - Fix regression in g_mkdir_with_permissions()
    - Fix a memory leak
    - Update translations: es, id, ro
  * Merge changes from unstable
  * Refresh patch series
  * d/p/debian/06_thread_test_ignore_prctl_fail.patch:
    Use g_test_skip() when skipping test
  * d/p/GIO-tests-Don-t-do-clever-tricks-with-objcopy.patch:
    Drop workaround for #932287, and build-depend on fixed binutils on
    mips64el instead
  * d/rules: Edit debcrossgen output instead of using a modified version.
    This fixes use of CFLAGS, etc. during cross-compilation.
    (Closes: #933560)
  * d/libglib2.0-0.symbols: Update
  * Remove obsolete permissions fixing.
    Issue 1539 was fixed upstream.
  * libglib2.0-tests: Depend on libglib2.0-dev-bin.
    This is required for the new mkenums and genmarshal tests.
  * d/p/debian/Disable-an-optimization-when-building-with-gcc-9.patch:
    Disable an optimization when building with gcc-9, instead of forcing
    gcc-8. This avoids depending on an old gcc, and should be easier to
    deal with for cross-compilation. (Workaround for #931921)

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Aug 2019 09:32:26 +0100

glib2.0 (2.60.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release, functionally equivalent to 2.60.5 with the
    patches we were already applying
    - d/p/portal-Add-a-getter-for-dconf-access.patch,
      d/p/settings-Tweak-priorities-for-keyfile-backend.patch,
      d/p/key-file-Handle-filename-being-NULL.patch:
      Drop, applied upstream
  * d/p/tests-Fix-data-race-in-gmenumodel-test.patch,
    d/p/tests-Fix-data-race-in-task-test.patch:
    Add patches from upstream git master to fix data races in tests.
    In particular, the one for gmenumodel might solve an unreproducible
    test failure on i386 (see #932678).
  * d/p/debian/gmenumodel-test-Mark-as-flaky.patch,
    d/p/debian/gvariant-test-Don-t-run-at-build-time-on-mips.patch:
    Skip more tests at build-time and during the non-flaky autopkgtest.
    The unreproducible gmenumodel test failure on i386 might in fact be
    fixed by d/p/tests-Fix-data-race-in-gmenumodel-test.patch, but it's
    hard to be sure about that. The gvariant fuzz test is catastrophically
    slow on certain mips CPUs and so is impractical to run there.
    (Closes: #932678)
  * Standards-Version: 4.4.0 (no changes required)

