=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                gettext,
                gnome-pkg-tools (>= 0.11),
                gtk-doc-tools (>= 1.20),
+               libdbus-1-dev (>= 1.2.14) <!nocheck> <!noinsttest>,
                libelf-dev (>= 0.142),
                libffi-dev (>= 3.0.0),
                libgamin-dev [!linux-any] | libfam-dev [!linux-any],
@@ -40,8 +41,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.4.1
 Homepage: http://www.gtk.org/
-Vcs-Browser: https://salsa.debian.org/gnome-team/glib/tree/debian/experimental
-Vcs-Git: https://salsa.debian.org/gnome-team/glib.git -b debian/experimental
+Vcs-Browser: https://salsa.debian.org/gnome-team/glib
+Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
 
 Package: libglib2.0-0
 Architecture: any
@@ -60,6 +61,7 @@
  This package contains the shared libraries.
 
 Package: libglib2.0-tests
+Build-profiles: <!noinsttest>
 Architecture: any
 Depends: libglib2.0-dev-bin,
          shared-mime-info,
