=== debian/control ===
--- 
+++ 
@@ -17,17 +17,17 @@
                dpkg-dev (>= 1.17.14),
                gettext,
                gnome-pkg-tools (>= 0.11),
-               gtk-doc-tools (>= 1.20),
+               gtk-doc-tools (>= 1.32-4~),
                libdbus-1-dev (>= 1.2.14) <!nocheck> <!noinsttest>,
                libelf-dev (>= 0.142),
-               libffi-dev (>= 3.0.0),
+               libffi-dev (>= 3.3),
                libgamin-dev [!linux-any] | libfam-dev [!linux-any],
                libmount-dev (>= 2.28) [linux-any],
                libpcre3-dev (>= 1:8.35),
                libselinux1-dev [linux-any],
                libxml2-utils,
                linux-libc-dev [linux-any],
-               meson (>= 0.48.0),
+               meson (>= 0.52.0),
                pkg-config (>= 0.16.0),
                python3-dbus <!nocheck>,
                python3-distutils,
@@ -39,7 +39,7 @@
                xterm <!nocheck>,
                zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://www.gtk.org/
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib
 Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
@@ -51,6 +51,9 @@
 Recommends: libglib2.0-data,
             shared-mime-info,
             xdg-user-dirs
+Breaks: glib-networking-tests (<< 2.63.2),
+        libgirepository-1.0-1 (<< 1.62.0-4~),
+        libgladeui-2-6 (<< 3.22.2)
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: GLib library of C routines
@@ -63,11 +66,16 @@
 Package: libglib2.0-tests
 Build-profiles: <!noinsttest>
 Architecture: any
-Depends: libglib2.0-dev-bin,
+Depends: gir1.2-glib-2.0,
+         libglib2.0-dev-bin,
+         python3-dbus,
+         python3-dbusmock,
+         python3-gi,
          shared-mime-info,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
+Recommends: xdg-desktop-portal,
 Pre-Depends: ${misc:Pre-Depends}
 Description: GLib library of C routines - installed tests
  GLib is a library containing many useful C routines for things such
@@ -115,7 +123,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libffi-dev (>= 3.0.0),
+Depends: libffi-dev (>= 3.3),
          libglib2.0-0 (= ${binary:Version}),
          libglib2.0-bin (= ${binary:Version}),
          libglib2.0-dev-bin (= ${binary:Version}),
