=== debian/changelog ===
glib2.0 (2.64.2-1~fakesync1) focal; urgency=medium

  [ Simon McVittie ]
  * Add Breaks on older versions of gimp, which used a syntactically
    invalid property name in a plugin, and would crash when GObject
    rejects syntactically invalid property names

  [ Sebastien Bacher ]
  * New upstream release
  * debian/patches/git_gsource_segfault.patch:
    - backport an upstream git change to fix a signal handler disconnect
      segfault situation (lp: #1872153)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 15 Apr 2020 23:01:50 +0200
