=== debian/control ===
--- 
+++ 
@@ -51,7 +51,8 @@
 Recommends: libglib2.0-data,
             shared-mime-info,
             xdg-user-dirs
-Breaks: glib-networking-tests (<< 2.63.2),
+Breaks: gimp (<< 2.10.14-3~),
+        glib-networking-tests (<< 2.63.2),
         libgirepository-1.0-1 (<< 1.62.0-4~),
         libgladeui-2-6 (<< 3.22.2)
 Multi-Arch: same
