=== debian/rules ===
--- 
+++ 
@@ -165,10 +165,10 @@
 export VERBOSE=1
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-is_linux := true
+enable_libmount := enabled
 enable_selinux := enabled
 else
-is_linux := false
+enable_libmount := disabled
 enable_selinux := disabled
 endif
 
@@ -187,7 +187,7 @@
 	--default-library both \
 	-Dfam=$(use_fam) \
 	-Dinstalled_tests=true \
-	-Dlibmount=$(is_linux) \
+	-Dlibmount=$(enable_libmount) \
 	-Dman=true \
 	-Dselinux=$(enable_selinux) \
 	-Dsystemtap=true \
@@ -204,7 +204,7 @@
 	--default-library shared \
 	-Dgtk_doc=false \
 	-Dinstalled_tests=false \
-	-Dlibmount=false \
+	-Dlibmount=disabled \
 	-Dselinux=disabled \
 	-Dxattr=$(have_non_stub_xattr) \
 	$(NULL)
@@ -250,6 +250,7 @@
 	dh_install -plibglib2.0-udeb --sourcedir=debian/install/udeb
 endif
 	dh_install --remaining-packages --sourcedir=debian/install/deb
+	install -D -t debian/libglib2.0-0/usr/lib/${DEB_HOST_MULTIARCH}/glib-2.0/ debian/gio-launch-desktop
 
 override_dh_dwz:
 	dh_dwz -Nlibglib2.0-udeb
