=== debian/watch ===
version=4
https://download.gnome.org/sources/glib/([\d\.]+[02468])/ \
	glib@ANY_VERSION@\.tar\.xz
